# Challenge3 - Bulk Load Synthea Data

The FHIR Bulk Loader, deployed in Challenge1, is an Azure Function App solution that provides the following services for ingesting FHIR Resources into the FHIR Server:
   * Imports FHIR Bundles (compressed and non-compressed) and NDJSON files into FHIR Server
   * High Speed Parallel Event Grid triggers from storage accounts or other event grid resources.
   * Complete Auditing, Error logging and Retry for throttled transactions

## To complete this challenge successfully, you will perform the following tasks.

* **Bulk load Synthea FHIR bundles** through the FHIR Loader 
* **Validate data load** using Postman

## Prerequsites

1. **If you haven't completed [Challenge1](../Challenge2-DeployFHIR/ReadMe.md) and [Challenge2](../Challenge2-AuthSetup/ReadMe.md), complete them now.**

## Load data
1. [Download](../SampleData) Synthetic data generated by Synthea.
2. Upload sample data
   * Open the **{prefix}fssa** storage account deployed in the **{fhirtrainingname}** resource group
   * Go to *Containers* and click into the **bundles** container
   * Click Upload, browse to the synthea files downloaded with the blue folder icon, select and Upload them.
   * The files should appear in the file list. As these are small files, they will upload fast and disappear upon refresh.
   * Go back to *Containers* and click into the **bundlesprocessed** and confirm the processed bundle files are there.
   * If the files appear in the **bundleserror** container instead, the bundles were not loaded and troubleshooting is required.
> NOTE: The **bundlesprocessed** and **bundleserror** containers are not created until the first time they are needed. You may need to refresh the containers list to see them.

## Validate data loaded into FHIR Server using Postman
1. Open Postman and open the Workspace created in Challenge2. 
2. Set the *fhir-proxy* environment created in Challenge2 in the top-right.
3. Select the **AuthorizationGetToken** call from the **FHIR Calls-Sample** collection, and click Send if necessary to update an expired token. 
4. Select the **List Patients** call from the **FHIR Calls-Samples** collection, and click Send.
5. You should receive patients that you uploaded into the Storage Account that are now loaded into the FHIR Server
> NOTE: After token expiry, use the **AuthorizationGetToken** call to get another token

---

## Congratulations! You have successfully completed Challenge3! 

***

[Go to Challenge4](../Challenge4-FHIRSyncAgent/ReadMe.md)

