# FHIR for MC4H

#### This repository hosts the general guidance and reference architecture for delivering an OpenHack focused on FHIR for MC4H.

## Reference Architectures
![FHIR for MC4H Reference Architecture](./images/fhir-mc4h-new.png)

## Contents
---
OpenHack Challenges:
* [Challenge0 - Pre-requisites](./Challenge0-Prerequistes/ReadMe.md)
* [Challenge1 - Deploy FHIR Components](./Challenge1-DeployFHIR/ReadMe.md)
* [Challenge2 - Configure Service Client Authorization](./Challenge2-AuthSetup/ReadMe.md)
* [Challenge3 - Bulk Load Synthea Data](./Challenge3-BulkLoad/ReadMe.md)
* [Challenge4 - Deploy FHIR Sync Agent](./Challenge4-FHIRSyncAgent/ReadMe.md)
* [Challenge5 - FHIR Sync to Dataverse Admin](./Challenge5-FHIRSyncDV/ReadMe.md)

---

Begin the Hack - [Go To Challenge0](./Challenge0-Prerequistes/ReadMe.md)

---
Additional Learning Materials Included:
* [Deployment & Data Flow Detail for the FHIR Sync Agent](./Docs/SyncAgentDeployDetail.md)
* [Writing FHIR Data to Dataverse Detailed Instructions](./Docs/WritingToDataverseDetail.md)
* [Dataverse Entity and Attribute Mapping](./Docs/ManageSyncAgentMaps.md)
* [FHIR Sync Agent Debugging, Operations, and Maintenance](./Docs/Debug-Maintenance.md)

